module imagecache;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import tango.io.vfs.FileFolder;

class Cache {
    private FileFolder filefolder;
    private Image[char[]] images;

    this(char[] folder) {
	this.filefolder = new FileFolder(folder, false);
    }

    void load(char[] real_filename, char[] seen_filename) {
	this.images[seen_filename] = new Image();
	this.images[seen_filename].loadFromFile(real_filename);
    }

    Image get_image(char[] filename) {
	if (!(filename in this.images)) {
	    this.load(this.filefolder.file(filename).toString(), filename);
	}
	return this.images[filename];
    }
}
