module test;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import tileconsumer;
import renderer;
import consumer;
import imagecache;
import tilemap;
import tileset;

int main(char[][] args) {
    Cache cache = new Cache("gfx");
    Tileset tileset = new Tileset(cache);
    Tilemap map = new Tilemap(tileset, 5, 5, 32, 32);
    tileset.add_tile(0, "grass.png");
    for(int x=0; x < 5; x++) {
	map.map[x][x] = 0;
    }

    Renderer render = new Renderer("Blubb", 600, 480, 32);
    TileConsumer consumer = new TileConsumer(render, map);
    render.add_consumer(consumer);

    render.mainloop();
    return 0; 
}
